.TH wxSplitterEvent 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxSplitterEvent \- See external documentation: wxSplitterEvent\&.
.SH DESCRIPTION
.LP
See external documentation: wxSplitterEvent <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterevent\&.html>\&. 
.RS 2
.TP 4
.B
Use wxEvtHandler:connect/3 with EventType::
\fIcommand_splitter_sash_pos_changed\fR, \fIcommand_splitter_sash_pos_changing\fR, \fIcommand_splitter_doubleclicked\fR, \fIcommand_splitter_unsplit\fR
.RE
.LP
See also the message variant #wxSplitter{} event record type\&.
.LP
This class is derived (and can use functions) from: 
.br
wxNotifyEvent 
.br
wxCommandEvent 
.br
wxEvent 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxSplitterEvent()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
getSashPosition(This::wxSplitterEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterevent\&.html#wxsplittereventgetsashposition>\&.
.RE
.LP
.B
getX(This::wxSplitterEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterevent\&.html#wxsplittereventgetx>\&.
.RE
.LP
.B
getY(This::wxSplitterEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterevent\&.html#wxsplittereventgety>\&.
.RE
.LP
.B
getWindowBeingRemoved(This::wxSplitterEvent()) -> wxWindow() (see module wxWindow)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterevent\&.html#wxsplittereventgetwindowbeingremoved>\&.
.RE
.LP
.B
setSashPosition(This::wxSplitterEvent(), Pos::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterevent\&.html#wxsplittereventsetsashposition>\&.
.RE
